Bug 1533909 (CVE-2018-5344) - CVE-2018-5344 kernel: drivers/block/loop.c mishandles lo_release serialization allowing denial-of-service
Summary: CVE-2018-5344 kernel: drivers/block/loop.c mishandles lo_release serializatio...
Status: NEW
Alias: CVE-2018-5344
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180106,repor...
Keywords: Security
Depends On: 1533910 1541230 1533911 1541228 1541229 1541231 1541232
Blocks: 1533912
TreeView+ depends on / blocked
 
Reported: 2018-01-12 14:03 UTC by Adam Mariš
Modified: 2018-10-30 08:57 UTC (History)
45 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the Linux kernel's handling of loopback devices. An attacker, who has permissions to setup loopback disks, may create a denial of service or other unspecified actions.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2948 None None None 2018-10-30 08:57 UTC
Red Hat Product Errata RHSA-2018:3083 None None None 2018-10-30 07:31 UTC
Red Hat Product Errata RHSA-2018:3096 None None None 2018-10-30 07:37 UTC

Description Adam Mariš 2018-01-12 14:03:33 UTC
A flaw was found in the Linux kernels handling of loopback devices where it mishandles the release (lo_release function) where an attacker who has permissions to setup loopback disks.

This may allow an attacker to cause a denial of service (__lock_acquire use-after-free) or possibly have unspecified other impact.

Upstream patch:

https://github.com/torvalds/linux/commit/ae6650163c66a7eff1acd6eb8b0f752dcfa8eba5

Comment 1 Adam Mariš 2018-01-12 14:05:42 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1533911]

Comment 8 Eric Christensen 2018-02-02 16:17:30 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 and 6.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and MRG-2.

Future Linux kernel updates for the respective releases may address this issue.

Comment 9 errata-xmlrpc 2018-10-30 07:30:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3083 https://access.redhat.com/errata/RHSA-2018:3083

Comment 10 errata-xmlrpc 2018-10-30 07:37:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3096 https://access.redhat.com/errata/RHSA-2018:3096

Comment 11 errata-xmlrpc 2018-10-30 08:57:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2948 https://access.redhat.com/errata/RHSA-2018:2948


Note You need to log in before you can comment on or make changes to this bug.